#
# spec file for package CID-keyed-fonts-MOE (Version 20021114)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           CID-keyed-fonts-MOE
Group:          Productivity/Publishing/PS
Requires:       ghostscript-cjk
Autoreqprov:    on
Provides:       locale(zh_TW)
Summary:        MOE CID-Keyed Fonts (for Traditional Chinese)
Version:        20021114
Release:        216.2
License:        Other License(s), see package, Contact author
# Free CID keyed sample fonts from Adobe. Can be downloaded from:
# ftp://ftp.oreilly.com/pub/examples/nutshell/cjkv/adobe/samples/
Source0:        adobe-cid-keyed-sample-fonts-20021114.tar.bz2
Source1:        License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
This package contains the CID-keyed fonts

MOESung-Regular 	  (Adobe-CNS1-0 subset: 13699 CIDs)
MOEKai-Regular		  (Adobe-CNS1-0 subset: 13699 CIDs)

These fonts are useful for traditional Chinese--for Taiwan and
Hongkong. The fonts can be used with Ghostscript as well as with X11.



Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

%debug_package
%package     -n CID-keyed-fonts-Wada
Summary:        Wadalab CID-Keyed Fonts (for Japanese)
Group:          Productivity/Publishing/PS
Provides:       locale(ja)

%description -n CID-keyed-fonts-Wada
This package contains the CID-keyed fonts

WadaMin-Regular 	  (Adobe-Japan1-1 subset: 6998 CIDs)
WadaMin-Bold		  (Adobe-Japan1-1 subset: 6996 CIDs)
WadaGo-Bold		  (Adobe-Japan1-1 subset: 6998 CIDs)
WadaMaruGo-Regular	  (Adobe-Japan1-1 subset: 6998 CIDs)

These fonts are useful for Japanese. The fonts can be used with
Ghostscript as well as with X11.



Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

%package     -n CID-keyed-fonts-WadaH
Summary:        Wadalab CID-Keyed Fonts (for Rare Japanese Characters)
Group:          Productivity/Publishing/PS
Provides:       locale(ja)

%description -n CID-keyed-fonts-WadaH
This package contains the CID-keyed fonts

WadaMin-RegularH	  (Adobe-Japan2-0 complete: 6068 CIDs)
WadaMaruGo-RegularH	  (Adobe-Japan2-0 complete: 6068 CIDs)

These fonts contain the characters from the JIS X 0121-1990 character
set (additional, rarely used Japanese characters). The fonts can be
used with Ghostscript as well as with X11.



Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

%package     -n CID-keyed-fonts-Munhwa
Summary:        Munhwa CID-Keyed Fonts (for Korean)
Group:          Productivity/Publishing/PS
Obsoletes:      gs_fonth
Provides:       locale(ko)

%description -n CID-keyed-fonts-Munhwa
This package contains the CID-keyed fonts

Munhwa-Regular		  (Adobe-Korea1-0 subset: 8193 CIDs)
Munhwa-Bold		  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGothic-Regular	  (Adobe-Korea1-0 subset: 8193 CIDs)
MunhwaGothic-Bold	  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeo-Bold	  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeo-Light	  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeoHeulim-Bold  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeoHeulim-Light (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaHoonMin-Regular	  (Adobe-Korea1-0 subset: 2549 CIDs)

These fonts are useful for Korean. The fonts can be used with
Ghostscript as well as with X11.



Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

%prep
%setup -n %{name} -c %{name}
cp ${RPM_SOURCE_DIR}/License .

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/Resource/{CIDFont,AFM,CFM}
for i in ./samples/*.afm
do
   install -m 0644 ${i}      ${RPM_BUILD_ROOT}/usr/share/ghostscript/Resource/AFM
   install -m 0644 ${i%.afm} ${RPM_BUILD_ROOT}/usr/share/ghostscript/Resource/CIDFont
done

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files 
%defattr(-, root, root)
%doc License
%dir /usr/share/ghostscript/
%dir /usr/share/ghostscript/Resource/
%dir /usr/share/ghostscript/Resource/AFM/
%dir /usr/share/ghostscript/Resource/CIDFont/
/usr/share/ghostscript/Resource/CIDFont/MOEKai-Regular
/usr/share/ghostscript/Resource/CIDFont/MOESung-Regular
/usr/share/ghostscript/Resource/AFM/MOEKai-Regular.afm
/usr/share/ghostscript/Resource/AFM/MOESung-Regular.afm

%files -n CID-keyed-fonts-Wada 
%defattr(-, root, root)
%doc License
%dir /usr/share/ghostscript/
%dir /usr/share/ghostscript/Resource/
%dir /usr/share/ghostscript/Resource/AFM/
%dir /usr/share/ghostscript/Resource/CIDFont/
/usr/share/ghostscript/Resource/CIDFont/WadaGo-Bold
/usr/share/ghostscript/Resource/CIDFont/WadaMaruGo-Regular
/usr/share/ghostscript/Resource/CIDFont/WadaMin-Bold
/usr/share/ghostscript/Resource/CIDFont/WadaMin-Regular
/usr/share/ghostscript/Resource/AFM/WadaGo-Bold.afm
/usr/share/ghostscript/Resource/AFM/WadaMaruGo-Regular.afm
/usr/share/ghostscript/Resource/AFM/WadaMin-Bold.afm
/usr/share/ghostscript/Resource/AFM/WadaMin-Regular.afm

%files -n CID-keyed-fonts-WadaH 
%defattr(-, root, root)
%doc License
%dir /usr/share/ghostscript/
%dir /usr/share/ghostscript/Resource/
%dir /usr/share/ghostscript/Resource/AFM/
%dir /usr/share/ghostscript/Resource/CIDFont/
/usr/share/ghostscript/Resource/CIDFont/WadaMaruGo-RegularH
/usr/share/ghostscript/Resource/CIDFont/WadaMin-RegularH
/usr/share/ghostscript/Resource/AFM/WadaMaruGo-RegularH.afm
/usr/share/ghostscript/Resource/AFM/WadaMin-RegularH.afm

%files -n CID-keyed-fonts-Munhwa
%defattr(-, root, root)
%doc License
%dir /usr/share/ghostscript/
%dir /usr/share/ghostscript/Resource/
%dir /usr/share/ghostscript/Resource/AFM/
%dir /usr/share/ghostscript/Resource/CIDFont/
/usr/share/ghostscript/Resource/CIDFont/Munhwa-Bold
/usr/share/ghostscript/Resource/CIDFont/Munhwa-Regular
/usr/share/ghostscript/Resource/CIDFont/MunhwaGothic-Bold
/usr/share/ghostscript/Resource/CIDFont/MunhwaGothic-Regular
/usr/share/ghostscript/Resource/CIDFont/MunhwaGungSeo-Bold
/usr/share/ghostscript/Resource/CIDFont/MunhwaGungSeo-Light
/usr/share/ghostscript/Resource/CIDFont/MunhwaGungSeoHeulim-Bold
/usr/share/ghostscript/Resource/CIDFont/MunhwaGungSeoHeulim-Light
/usr/share/ghostscript/Resource/CIDFont/MunhwaHoonMin-Regular
/usr/share/ghostscript/Resource/AFM/Munhwa-Bold.afm
/usr/share/ghostscript/Resource/AFM/Munhwa-Regular.afm
/usr/share/ghostscript/Resource/AFM/MunhwaGothic-Bold.afm
/usr/share/ghostscript/Resource/AFM/MunhwaGothic-Regular.afm
/usr/share/ghostscript/Resource/AFM/MunhwaGungSeo-Bold.afm
/usr/share/ghostscript/Resource/AFM/MunhwaGungSeo-Light.afm
/usr/share/ghostscript/Resource/AFM/MunhwaGungSeoHeulim-Bold.afm
/usr/share/ghostscript/Resource/AFM/MunhwaGungSeoHeulim-Light.afm
/usr/share/ghostscript/Resource/AFM/MunhwaHoonMin-Regular.afm

%changelog -n CID-keyed-fonts-MOE
* Tue Feb 28 2006 - mfabian@suse.de
- add "Provides: locale(...)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 05 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 - mfabian@suse.de
- fix "directory not owned by any package".
* Tue Nov 19 2002 - mfabian@suse.de
- splitted from ghostscript-library
